# sfepy.terms.terms_electric module

class sfepy.terms.terms_electric.ElectricSourceTerm(name, arg_str, integral, region, **kwargs)

  Electric source term.

  Definition:

  \int_{\Omega} c s (\nabla \phi)^2

  Call signature:

  dw_electric_source | `(material, virtual, parameter)`

  Arguments:

    - material : c (electric conductivity)

    - virtual : s (test function)

    - parameter : \phi (given electric potential)

  arg_shapes = {'material': '1, 1', 'parameter': 1, 'virtual': (1, None)}
  arg_types = ('material', 'virtual', 'parameter')
  static function(out, grad, coef, cmap)
  get_fargs(mat, virtual, parameter, mode=None, term_mode=None, diff_var=None, **kwargs)
  name = 'dw_electric_source'